package com.srs.comprehensive.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.comprehensive.domain.CphMsg;
import org.apache.ibatis.annotations.Mapper;

/**
 * 消息Mapper接口
 * 
 * @author srs
 * @date 2023-07-12
 */
@Mapper
public interface CphMsgMapper  extends BaseMapper<CphMsg>
{
    /**
     * 查询消息
     * 
     * @param id 消息主键
     * @return 消息
     */
    public CphMsg selectCphMsgById(Long id);

    /**
     * 查询消息列表
     * 
     * @param cphMsg 消息
     * @return 消息集合
     */
    public List<CphMsg> selectCphMsgList(CphMsg cphMsg);

    /**
     * 新增消息
     * 
     * @param cphMsg 消息
     * @return 结果
     */
    public int insertCphMsg(CphMsg cphMsg);

    /**
     * 修改消息
     * 
     * @param cphMsg 消息
     * @return 结果
     */
    public int updateCphMsg(CphMsg cphMsg);

    /**
     * 删除消息
     * 
     * @param id 消息主键
     * @return 结果
     */
    public int deleteCphMsgById(Long id);

    /**
     * 批量删除消息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCphMsgByIds(Long[] ids);
}
